---
title: "Retrieve PY Job Pay Rates By Code"
slug: "retrieve-py-job-pay-rates-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-py-job-pay-rates-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PY Job Pay Rates By Code

Get/hcm-rest-api/rest/1/pyjobpayrate

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Find By Code
- By UUID

#### Find By Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| EffDate | Effective Date | 2023-12-27 |
| TrdCode | Trade Code | DIR2 |
| CompCode | Company Code | 001 |
| ShiftCode | Shift Code | * |
| EmpNo | Employee Number | 1010 |
| JobCode | Job Code | 14001 |
| PhsCode | Phase Code | 01430 |

#### By UUID

This is an optional finder for querying a specific Union Pay Rate by its Row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/pyjobpayrate/D2B741FA667250F0E05316821FACA6A6 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode;CompCode=001, ShiftCode=*, EmpNo=1010, TrdCode=DIR2, JobCode=, PhsCode=01430, EffDate=2015-10-02
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleJprTrdCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='7ef996c6-ac9a-4a66-a44c-5a0da9d1d1fe'>application/json</option>
</select>

```json
{
  "items": [
    {
      "JprCompCode": "001",
      "JprCompName": "CMiC Construction Inc",
      "JprJobCode": "MLSE",
      "JprJobName": "MLSE Reno at ACC",
      "JprPhsCode": "01430",
      "JprPhsName": "Quality Assurance",
      "JprCatCode": "ALL",
      "JprCatName": null,
      "JprTrdCode": "DIR2",
      "JprTrdName": "Director, Business Development",
      "JprEffectiveDate": "2015-10-02",
      "JprPayRate": null,
      "JprChargeOutRate": 125,
      "JprBillingRate": null,
      "JprUser": "ADWAIT",
      "JprLastUpdDate": "2015-10-02T15:01:09Z",
      "JprOtChargeRate": null,
      "JprDotChargeRate": null,
      "JprOtBillRate": null,
      "JprDotBillRate": null,
      "JprChargeMultiFlag": null,
      "JprBillMultiFlag": null,
      "JprEmpNo": "1010",
      "JprEmpName": "Adwait Mohan",
      "JprEmpUniCode": null,
      "JprOtDotPayMultiFlag": null,
      "JprOtPayRate": null,
      "JprDotPayRate": null,
      "JprShiftCode": "*",
      "JprIuCreateDate": "2015-10-02T15:01:09Z",
      "JprIuUpdateDate": null,
      "JprVUuid": "D2B741FA667250F0E05316821FACA6A6",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyjobpayrate/D2B741FA667250F0E05316821FACA6A6",
          "name": "pyjobpayrate",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyjobpayrate/D2B741FA667250F0E05316821FACA6A6",
          "name": "pyjobpayrate",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyjobpayrate",
      "name": "pyjobpayrate",
      "kind": "collection"
    }
  ]
}
```

object
